function modalMessages(dim, close, timeout, speed)
{
	var w = jQuery(window);
	var m = jQuery('#system-message-container');	
	var b = jQuery('#system-message-container .close');
	var heightRatio = (w.height() != 0) ? m.outerHeight() / w.height() : 1;
	var widthRatio = (w.width() != 0) ? m.outerWidth() / w.width() : 1;
	
	m.css({'top': (50 * (1 - heightRatio)) + '%', 'left': (50 * (1 - widthRatio))  + '%'}).fadeIn(speed);
	
	if (dim == 1) {
		var o = jQuery("<div id='messages-overlay'></div>").appendTo("body").height(w.height());
    	o.fadeIn(speed);
    	
    	if ((close == "both") || (close == "button")) {
    		b.click(function() { o.fadeOut(speed); o.remove(); m.fadeOut(speed); });
    	}
    	
    	if ((close == "both") || (close == "background")) {
			o.click(function() { o.fadeOut(speed); o.remove(); m.fadeOut(speed); });
		}
    } else {
	   	if ((close == "both") || (close == "button")) {
    		b.click(function() { m.fadeOut(speed); });
    	}
    	
    	if ((close == "both") || (close == "background")) {
			o.click(function() { m.fadeOut(speed); });
		}		
    }
		
	if (timeout) {		
		setTimeout(function() { m.fadeOut(speed); if (dim == 1) o.fadeOut(speed); o.remove(); }, timeout + "000");
	}	
}
