<?php
/*------------------------------------------------------------------------
# System - Modal Messages
-------------------------------------------------------------------------*/
defined('_JEXEC') or die('Restricted access');
class plgSystemModalmessages extends JPlugin
{
	var $app;
	
	public function __construct(&$subject, $config)
	{
		$this->app = JFactory::getApplication();
		
		parent::__construct($subject, $config);
		
		$this->loadLanguage();
	}
	public function onAfterInitialise()
	{
		if ($this->app->isAdmin()) return true;
		$document = JFactory::getDocument();
		
		$document->addStyleSheet(JURI::root().'plugins/system/modalmessages/assets/css/style.css');
		$document->addScript(JURI::root().'plugins/system/modalmessages/assets/js/script.js');
		$document->addScriptDeclaration('jQuery(document).ready(function() { 
		if (jQuery("#system-message-container").children().length) modalMessages("'.$this->params->get('dim', '1').'", "'.$this->params->get('close', 'both').'", "'.$this->params->get('timeout', '').'", "'.$this->params->get('speed', 'fast').'"); 
		
		jQuery("#system-message-container").on("DOMNodeInserted", function (event) {                 
			modalMessages("'.$this->params->get('dim', '1').'", "'.$this->params->get('close', 'both').'", "'.$this->params->get('timeout', '').'", "'.$this->params->get('speed', 'fast').'"); 
            });
		});		
		');
	}	
}

?>